# class KTarEntry | Base class for the tar-file's directory structure. More...
Definition | `#include <ktar.h>`
Inherited by | KTarDirectory, KTarFile
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KTarEntry ( KTarBase* tar, const QString& name, int access, int date, const QString& user, const QString& group, const QString &symlink )
- virtual ~KTarEntry ()
- QDateTime datetime () const
- int date () const
- QString name () const
- mode_t permissions () const
- QString user () const
- QString group () const
- QString symlink () const
- virtual bool isFile () const
- virtual bool isDirectory () const

#### Protected Methods

- KTarBase* tar ()

## Detailed Description

See also: KTarFile, KTarDirectory

KTarEntry ( KTarBase* tar, const QString& name, int access, int date, const QString& user, const QString& group, const QString &symlink ) | ### KTarEntry

~KTarEntry () | ### ~KTarEntry

[virtual]

QDateTime datetime () | ### datetime

[const]

Creation date of the file.

int date () | ### date

[const]

QString name () | ### name

[const]

Name of the file without path.

mode_t permissions () | ### permissions

[const]

The permissions and mode flags as returned by the stat() function in st_mode.

QString user () | ### user

[const]

User who created the file.

QString group () | ### group

[const]

Group of the user who created the file.

QString symlink () | ### symlink

[const]

Symlink if there is one

bool isFile () | ### isFile

[const virtual]

Returns: true if this entry is a file

bool isDirectory () | ### isDirectory

[const virtual]

Returns: true if this entry is a directory

KTarBase* tar () | ### tar

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.